


INFO(1)              ST Programmer's Manual               INFO(1)



NAME
     info - display files formatted for use with with GNU info
     facility.

SYNOPSIS
     info [ +file ] [ +directory ] [ +node ] [ +output ] [ -f]
     [ -d ] [ -n ] [ -o ] [ menu-selection ...  ]

DESCRIPTION
     Info formatted files are meant mainly for an info mode of
     GNU-emacs which gives simple hypertext-like capabilities for
     displaying on-line sizeable documents.  Info provides most
     of it in a stand-alone program.  Files used with info have
     to be prepared either by emacs function texinfo-format-
     buffer or by a companion makeinfo program.  An optional
     argument `menu-selection' should be a name of one of menu
     entries in the first displayed node.  For help in using info
     see on-line help and info on-line tutorial.

OPTIONS
     All option flags have both long and short forms and are fol-
     lowed by value strings.

     +file, -f
          show named file.  If this option is missing info will
          try to start with a file named `dir'.  If full names
          are not specified explicitely info tries to find files
          to read along path which can be specified in an
          environment variable INFOPATH.  See below.

     +directory, -d
          explicitely specify path to search for info files.
          Path format follows usual conventions for a specific
          OS.

     +node, -n
          start with a given node.

     +output, -o
          write a contents of the current node to a named file
          and exit.

COMMANDS
     The following keyboard commands are available when using
     info.

     q    quit Info.

     ?    show on-line help.

     h    invoke info tutorial.

     n    move to the `next' node of this node.

     p    move to the `previous' node of this node.

     u    move `up' from this node.

     m    pick menu item specified by name.  Picking a menu item
          causes another node to be selected.

     f    follow a cross reference.  Reads name of reference.

     l    move to the last node you were at.

     d    move to the `directory' node.  Equivalent to `gDIR'.

     Space
          scroll forward a page.

     DEL  scroll backward a page.

     b    go to the beginning of this node.

     1    pick first item in node's menu.

     2 - 5
          pick second ... fifth item in node's menu.

     g    move to node specified by name.  You may include a
          filename as well, as (FILENAME)NODENAME.

     (    read full node name in a form (FILENAME)NODENAME and
          move to it.

     s    search through this Info file for a specified string,
          and select the node in which the next occurrence is
          found.

     Ctl-P
          print the contents of this node

ENVIRONMENT VARIABLES
     Info reads the following environment variables.  defined
     system defaults are used.

     INFOPATH
          path to search for info files to read. Option -d over-
          rides this specification.

     INFO_PRINT_COMMAND
          command to print nodes when `Ctl-P' key is used.

     Apart of that variables TERM and TERMCAP or TERMINFO will be
     used in a usual manner in order to determine characteristics
     of a display screen.  Info does not run if terminal capabil-
     ities are not sufficient.

SEE ALSO
     makeinfo(l), texindex(l)

BUGS
     Continuation search works as long as search string is not
     modified and other commands are not called between searches.
     Otherwise search is restarted at the top of the current node.

     Enough memory is needed to read entirely the biggest
     displayed file.
